### Signal

# Fwupd Client::device-request

#### Declaration

    void
    device_request (
      FwupdClient* self,
      FwupdRequest* msg,
      gpointer user_data
    )

#### Description [src]

The ::device-request signal is emitted when a device has been emitted some kind of event, e.g. a manual action is required.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 1.6.2

#### Parameters

`msg` | `FwupdRequest`
| The `FwupdRequest`.
| The data is owned by the caller of the function.